<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:context="http://www.springframework.org/schema/context"
	xmlns:aop="http://www.springframework.org/schema/aop"
	xsi:schemaLocation="
           http://www.springframework.org/schema/beans 
           http://www.springframework.org/schema/beans/spring-beans.xsd
           http://www.springframework.org/schema/context 
           http://www.springframework.org/schema/context/spring-context.xsd
           http://www.springframework.org/schema/aop
           http://www.springframework.org/schema/aop/spring-aop.xsd">
    
    <bean id="dictao.live" class="fr.ge.common.proxy.stamper.impl.StamperServiceImpl" scope="prototype" />
    <bean id="dictao.mock" class="fr.ge.common.proxy.stamper.mock.StamperServiceMock" scope="prototype" />
    
	<bean id="dictaoService" class="fr.ge.common.proxy.stamper.impl.DictaoService" />
	


	<!-- Instanciation du bean de configuration générale à partir des properties -->
	<bean id="stamperConfigurationBean"
		class="fr.ge.common.proxy.stamper.bean.StamperConfigurationBean"
		factory-method="getInstance">
		<property name="dictaoTenantName"
			value="${ct.dictao.dtp.tenant_name:#{T(fr.ge.common.proxy.stamper.constante.ISignatureConstante).CT_DICTAO_DPT_TENANT_NAME}}" />
		<property name="dictaoEndUserUrl"
			value="${ct.dictao.wcs.euapp.url:#{T(fr.ge.common.proxy.stamper.constante.ISignatureConstante).CT_DICTAO_WCS_EUAPP_URL}}" />
		<property name="indicatifTelephoniqueInternationnalDictao"
			value="${ct.dictao.indicatif.internationnal:#{T(fr.ge.common.proxy.stamper.constante.ISignatureConstante).CT_DICTAO_INDICATIF_INTERNATIONAL}}" />
		<property name="dictaoCheckString"
			value="${ct.dictao.echo.checkString:#{T(fr.ge.common.proxy.stamper.constante.ISignatureConstante).CT_DICTAO_ECH0_CHECK_STRING}}" />

		<!-- JIRA 1999/Mantis 1173 Togglz Signature electronique Recette -->
		<property name="dictaoEndUserUrlBouchon"
			value="${ct.dictao.wcs.euapp.url.bouchon:#{T(fr.ge.common.proxy.stamper.constante.ISignatureConstante).CT_DICTAO_WCS_EUAPP_URL_BOUCHON}}" />

		<property name="urlStamper" value="${stamper.url}" />
	</bean>
	

</beans>